%define	module	Tie-DBI
%define name	perl-%{module}
%define version	1.02
%define release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tie hashes to DBI relational databases 
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/Tie/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module allows you to tie Perl associative arrays (hashes) to SQL databases
using the DBI interface. The tied hash is associated with a table in a local or
networked database. One column becomes the hash key. Each row of the table
becomes an associative array, from which individual fields can be set or
retrieved.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor CFLAGS="%{optflags}"
%make 

%check
# test require a real database

%install
rm -rf %{buildroot} 
%{makeinstall_std}

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Tie
%{_mandir}/*/*



%changelog
* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.02-3mdv2008.1
+ Revision: 180611
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-2mdv2008.0
+ Revision: 47043
- rebuild


* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2007.0
- New release 1.02

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-2mdk
- %%mkrel
- spec cleanup
- rpmbuildupdate aware
- fix directory ownership
- better summary and description

* Tue Mar 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.01-1mdk
- 1.01

* Mon Nov 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.94-1mdk
- 0.94

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.93-1mdk
- 0.93
- drop redundant buildrequires and requires
- cosmetics

